org.wso2.carbon.dataservices.ui.stub.admin

## Class GetPaginatedTableInfo

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.stub.admin.GetPaginatedTableInfo

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class GetPaginatedTableInfo
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  GetPaginatedTableInfo bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GetPaginatedTableInfo.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localDatasourceId` field for DatasourceId
    `protected boolean` | `localDatasourceIdTracker`
    `protected String` | `localDbName` field for DbName
    `protected boolean` | `localDbNameTracker`
    `protected int` | `localPageNumber` field for PageNumber
    `protected boolean` | `localPageNumberTracker`
    `protected String[]` | `localSchemas` field for Schemas This was an Array!
    `protected boolean` | `localSchemasTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetPaginatedTableInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSchemas(String param)` Auto generated add method for the array for convenience
    `String` | `getDatasourceId()` Auto generated getter method
    `String` | `getDbName()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `int` | `getPageNumber()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `String[]` | `getSchemas()` Auto generated getter method
    `boolean` | `isDatasourceIdSpecified()`
    `boolean` | `isDbNameSpecified()`
    `boolean` | `isPageNumberSpecified()`
    `boolean` | `isSchemasSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setDatasourceId(String param)` Auto generated setter method
    `void` | `setDbName(String param)` Auto generated setter method
    `void` | `setPageNumber(int param)` Auto generated setter method
    `void` | `setSchemas(String[] param)` Auto generated setter method
    `protected void` | `validateSchemas(String[] param)` validate the array for Schemas

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localPageNumber

          protected int localPageNumber

      field for PageNumber

    - #### localPageNumberTracker

          protected boolean localPageNumberTracker

    - #### localDatasourceId

          protected String localDatasourceId

      field for DatasourceId

    - #### localDatasourceIdTracker

          protected boolean localDatasourceIdTracker

    - #### localDbName

          protected String localDbName

      field for DbName

    - #### localDbNameTracker

          protected boolean localDbNameTracker

    - #### localSchemas

          protected String[] localSchemas

      field for Schemas This was an Array!

    - #### localSchemasTracker

          protected boolean localSchemasTracker

  - ### Constructor Detail

    - #### GetPaginatedTableInfo

          public GetPaginatedTableInfo()

  - ### Method Detail

    - #### isPageNumberSpecified

          public boolean isPageNumberSpecified()

    - #### getPageNumber

          public int getPageNumber()

      Auto generated getter method
      Returns:
        int

    - #### setPageNumber

          public void setPageNumber(int param)

      Auto generated setter method
      Parameters:
        `param` - PageNumber

    - #### isDatasourceIdSpecified

          public boolean isDatasourceIdSpecified()

    - #### getDatasourceId

          public String getDatasourceId()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setDatasourceId

          public void setDatasourceId(String param)

      Auto generated setter method
      Parameters:
        `param` - DatasourceId

    - #### isDbNameSpecified

          public boolean isDbNameSpecified()

    - #### getDbName

          public String getDbName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setDbName

          public void setDbName(String param)

      Auto generated setter method
      Parameters:
        `param` - DbName

    - #### isSchemasSpecified

          public boolean isSchemasSpecified()

    - #### getSchemas

          public String[] getSchemas()

      Auto generated getter method
      Returns:
        java.lang.String[]

    - #### validateSchemas

          protected void validateSchemas(String[] param)

      validate the array for Schemas

    - #### setSchemas

          public void setSchemas(String[] param)

      Auto generated setter method
      Parameters:
        `param` - Schemas

    - #### addSchemas

          public void addSchemas(String param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - java.lang.String

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.